Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

New features which should be implemented in Porteus; suggestions are welcome. All questions or problems with testing releases (alpha, beta, or rc) should go in their relevant thread here, rather than the Bug Reports section.
Post Reply
neko
DEV Team
DEV Team
Posts: 956
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#61 by neko » 01 Jan 2014, 01:33

Porteus-LXDE-v3.0-rc1-i486.iso

There is a coding miss in /opt/porteus-scripts/deb2xzm.

[diff]
76c76
< mkdir /tmp/deb2xzm$$ && cp $y /tmp/deb2xzm$$ && cd /tmp/deb2xzm$$ && /usr/bin/ar x * data.tar.lzma && unxz data.tar.lzma && gzip data.tar && mv data.tar.gz $pkg.tgz && txz2xzm /tmp/deb2xzm$$/$pkg.tgz && mv /tmp/deb2xzm$$/$pkg.xzm $mod echo && echo -e "${c}Module created as $mod"$e || echo -e ''${r}$mod' creation failed!'$e
---
> mkdir /tmp/deb2xzm$$ && cp $y /tmp/deb2xzm$$ && cd /tmp/deb2xzm$$ && /usr/bin/ar x * data.tar.lzma && unxz data.tar.lzma && gzip data.tar && mv data.tar.gz $pkg.tgz && txz2xzm /tmp/deb2xzm$$/$pkg.tgz && mv /tmp/deb2xzm$$/$pkg.xzm $mod && echo && echo -e "${c}Module created as $mod"$e || echo -e ''${r}$mod' creation failed!'$e

neko
DEV Team
DEV Team
Posts: 956
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#62 by neko » 01 Jan 2014, 02:28

Porteus-LXDE-v3.0-rc1-i486.iso

/opt/porteus-scripts/dir2xzm exit value is changed (error then exit value 0).
But /opt/porteus-scripts/txz2xzm(tgz2xzm) and /opt/porteus-scripts/gtk-soundcard-select use the old interface.

[dir2xzm diff v2.1 v3.0-rc1]
37c45
< if [ $? != 0 ]; then echo "error building compressed image"; exit 1; fi
---
> if [ $? != 0 ]; then echo "Error building compressed image"; exit; fi

[txz2xzm(tgz2xzm) line 58]
dir2xzm $TMPDIR $XZM >/dev/null
if [ $? != 0 ]; then echo "error building compressed image"; exit; fi

[gtk-soundcard-select line 486]
dir2xzm $SNDSET/fakeroot/ $mods/soundcard_config.xzm
if [ "$?" -ne 0 ]; then

User avatar
fanthom
Site Admin
Site Admin
Posts: 4616
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#63 by fanthom » 01 Jan 2014, 06:17

@Philip
The release announcement for rc1 mentions that the lcd brightness control has been re-enabled in laptop mode tools config.
I cannot find this control. Maybe it's omitted from the LXDE version.

this is text config located here :
/etc/laptop-mode/conf.d/lcd-brightness.conf

KDE4 has a slider in battery plasmoid for controlling brightness which comes very handy. not sure about other desktops.

@sean
To bad there is no way to screencapture during reboot or shutdown
for rc2 i will tweak shutdown script so 'debug' cheatcode will drop to the shell also during reboot/shutdown.

@neko
will merge these two pathes to rc2.

thanks
Please add [Solved] to your thread title if the solution was found.

xdaft
Ronin
Ronin
Posts: 1
Joined: 01 Jan 2014, 19:51
Distribution: Manjaro
Location: Rousse, Bulgaria

WiFi

Post#64 by xdaft » 01 Jan 2014, 20:07

I have Lenovo g580 (wifi should be Broadcom 4313 as far as I know) and my Wifi seems to have a strange problem. I manage to connect to my home network and once I get to be asked for password it just keeps on asking me again and again for it. Had no problem with 2.1.

XFCE 32bit, always using always fresh.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4616
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#65 by fanthom » 02 Jan 2014, 13:13

@cttan
i cant recreate you issue with apps overlapping with CPU monitor:
http://i44.tinypic.com/ayopq1.png
please show me a screenshot with this bug

@wread
i also cant recreate screen locker crashing desktop. does it happen every time and also in Always Fresh mode? please write in detail what i need to do to be hit by this bug.

@usernew
bad news - downgrading 'Folder View' to version from kde-4.10.5 does not help. there are two workarounds to this issue:
- move to trash -> empty trash
- delete this folder through dolphin

@xdaft
please try 'xpns-tool' or 'pns-tool' utilities and let me know if it helped
Please add [Solved] to your thread title if the solution was found.

SergeSecurity
Ronin
Ronin
Posts: 1
Joined: 14 Oct 2013, 09:58
Distribution: Porteus
Location: Europe

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#66 by SergeSecurity » 02 Jan 2014, 20:28

Porteux XFCE 3.0rc1 x86

VirtualBox Builder

First run, says that kernel sources are missing and downloads the devel module to /tmp, then dies quietly

Second run, says that kernel sources are missing, but the devel module has been loaded already...Saying No, closes the builder. Saying Yes downloads the devel module to /tmp again, then the builder dies quietly again.

REQUEST: Can we get a plain VirtualBox package like in 2.0, please? I've stayed with 2.0 mainly because of this.

beny
Full of knowledge
Full of knowledge
Posts: 730
Joined: 02 Jan 2011, 11:33
Location: italy

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#67 by beny » 02 Jan 2014, 22:08

the devel package, you have to put not in tmp but into the porteus core directory if you want build virtualbox from .run

jimwg
Shogun
Shogun
Posts: 322
Joined: 09 Oct 2013, 18:15
Distribution: porteus
Location: NYC

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#68 by jimwg » 02 Jan 2014, 22:16

Seasons Greetings!

Something odd. When I copied OpenOffice 4.0 documents from my Porteus flash to my Puppy flash, the doc's time date stamp is off by four or five hours and by hour difference only. This occurred with Porteus 2.1 as well but I assumed it was bug already spoken for. It's odd because the menu clock on Porteus is correct at the time of transferring the file as is the clock under Puppy. There seems no difference in the file outside different hour time stamps, still, this is a concern when one must determine recent files.

Jim in NYC
32bit Porteus 3.0 XFCE 4.10

usernew
White ninja
White ninja
Posts: 28
Joined: 07 Dec 2011, 16:06
Location: spain

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#69 by usernew » 02 Jan 2014, 22:47

fhantom , please read better ...


you need to DOWNGRADE ALL KDE PACKAGES to 4.10.5 , not only view folder ... or konsole, or kmix

NO ,NO AND 1,000 TIMES NO

to work perfectly only way is downgrade all kde packages to 4.10.5


official 14.1 kde 4.10.5 works perfectly , ... and all alienbob kde 4.10 series works perfecly.


i fighting whit this bug around 1 month , only way is downgrade all kde packages to 4.10.5.

if you want kde 4.11 series or 4.12 you get the bug....is your distro , you choose.


Its a Unfortunate NEW BUG , i think because kde team working to go plasma2 ..and a some new feature breaking this.


if you want kde 4 working perfectly, only way is all pacakges to 4.10.X series ,, the las 4.10 series is 4.10.5


sorry for my bad english. :x

User avatar
Slaxmax
Contributor
Contributor
Posts: 403
Joined: 03 Jan 2013, 09:51
Distribution: KDE4
Location: Campinas Brazil https://goo.gl/yrxwKi

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#70 by Slaxmax » 02 Jan 2014, 23:52

@usernew

im here to advertise , kde 4.11.x and 4.12.X have a very BIG BUG

I test all 4.11.0 to 4.11.4 and 4.12.0 and all have the same bug ..YOURS HAVE ...obviously.

This is the bug , copy on desktop a folder whit big number of files, ...when copy are end , ...try to delete ...and SEEE

DELETION IS FILE PER FILE 1 TO 1 FILE ....to the eternity ,..

for example copy your /usr folder to desktop , right click , ..delete folder ..and ...LOL
I copied /usr/bin (aprox. 1300 files) to desktop and deleted all without errors.
“DNA is like a computer program but far, far more advanced than any software ever created.”
― Bill Gates, The Road Ahead

usernew
White ninja
White ninja
Posts: 28
Joined: 07 Dec 2011, 16:06
Location: spain

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#71 by usernew » 03 Jan 2014, 00:40

FOR REPRODUCE DE KDE BUG NEED COPY MORE OF 5,000

but for me no problem , if want kde 4.11


here is a video copy 26,000 files and delete in the fact...of course kde 4.10.x branch

i see something , see on taskbar , kde 4.10 no try to enumerate the deleted dirs ..... and kde 4.11 or 4.12 YES , and slowest the task ...see circles rounded , slow on kde 4.11 and 4.12 , and FAST on 4.10

this is my last post around kde branches , no more explications, fanthom can reproduce the bug , he choice the solution.

I think around avdertise , and my works end here, because i say all know around this bug.


http://www.youtube.com/watch?v=dcUOaoRjME4

User avatar
Slaxmax
Contributor
Contributor
Posts: 403
Joined: 03 Jan 2013, 09:51
Distribution: KDE4
Location: Campinas Brazil https://goo.gl/yrxwKi

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#72 by Slaxmax » 03 Jan 2014, 04:29

@usernew
See the link, no errors!
link video
deleted ~37k files
“DNA is like a computer program but far, far more advanced than any software ever created.”
― Bill Gates, The Road Ahead

User avatar
Slaxmax
Contributor
Contributor
Posts: 403
Joined: 03 Jan 2013, 09:51
Distribution: KDE4
Location: Campinas Brazil https://goo.gl/yrxwKi

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#73 by Slaxmax » 03 Jan 2014, 20:19

@fanthom
Please upgrade ffmpeg to newest version in slackyd ffmpeg-2.1.1-i486-2sl.txz. I tried install kdenlive and vlc and need this new version ffmpeg.

thanks
“DNA is like a computer program but far, far more advanced than any software ever created.”
― Bill Gates, The Road Ahead

usernew
White ninja
White ninja
Posts: 28
Joined: 07 Dec 2011, 16:06
Location: spain

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#74 by usernew » 03 Jan 2014, 23:06

Slaxman , you no fair play.

you open dolphin to navigate to desktop and delete inside dolphin window..but i know better opcion ...

konsole rm -Rf ......

BUT THIS IS NOT THE BUG.


bug is delete a big folder in plasma directly ... ok ? read now ?

why no try right click on desktop folder ? ...because bugged.

you skip the bug opening a dolphin to navigate inside desktop , ..this is not the bug.

beny
Full of knowledge
Full of knowledge
Posts: 730
Joined: 02 Jan 2011, 11:33
Location: italy

Re: Porteus Desktop Edition 3.0 rc1 bugs/feedback thread

Post#75 by beny » 03 Jan 2014, 23:13

ok, my desktop environment is only xfce, but i am curious for this bug now i install kde 4.12 so i can tell you if you are right

Post Reply